"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

/*
 * @Author: long
 * @Date: 2021-11-04 09:24:08
 * @LastEditTime: 2022-12-21 15:05:14
 * @LastEditors: long
 * @Description:
 * @FilePath: /website/Users/long/Documents/workspace/fe-admin-component/src/SvgIcon/index.jsx
 *
 */
var SvgIcon = {
  name: 'SvgIcon',
  props: ['className', 'iconName'],
  data: function data() {
    return {};
  },
  render: function render(h) {
    var className = this.className,
        iconName = this.iconName;
    var icoName = "#".concat(iconName);
    return h("svg", {
      "attrs": {
        "aria-hidden": "true"
      },
      "class": className ? className : 'icon'
    }, [this.setUse(h, icoName)]);
  },
  methods: {
    setUse: function setUse(h, name) {
      return h('use', {
        attrs: {
          'xlink:href': name
        }
      });
    }
  }
};

SvgIcon.install = function (Vue) {
  Vue.component(SvgIcon.name, SvgIcon);
};

var _default = SvgIcon;
exports.default = _default;